Updates the purchase order order lines with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

purchase_order_details
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
purchase_order_id

Foreign key of the purchase_order

globally unique identifier

Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided

purchase_order_reference_back_office

Embedded entity "purchase_order" using ERP PK when adding/updating

string

Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided

purchase_order

Embedded entity "purchase_order" when adding/updating

purchase_order

Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

line_number

Line Number, auto filled with (Highest+1) if value is 0/null

integer
code

Code of the article (auto filled if empty)

string

Max length: 255

supplier_code

Code of the supplier for this article

string

Max length: 255

name

Article Name (will be auto filled if article.name+description are empty)

string

Max length: 255

description

Article description (will be auto filled by article.short_description if name+description are empty)

string

Max length: 255

price

Unit Price

decimal number

Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$

Range: inclusive between 0.1 and 1.79769313486232E+308

quantity

Quantity

decimal number

Required

Range: inclusive between 0.1 and 1.79769313486232E+308

memo

Line memo/remark

string
cost_price

Unit Cost Price (statistic purpose)

decimal number

Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "10d933af-1e15-451c-bc04-6ff80cb8fb97",
  "purchase_order_id": "1f8becd4-8938-4d29-9735-027aeb74a143",
  "purchase_order_reference_back_office": "sample string 3",
  "purchase_order": {
    "id": "16bf078a-4ff8-4bf8-ac46-6f38fa344176",
    "id2": 2,
    "jobs_id": "19af7e92-8ad3-4408-9a70-aff134d4d695",
    "jobs_reference_back_office": "sample string 4",
    "supplier_company_id": "0ef58369-ff30-4829-8d2e-ba20482ba698",
    "supplier_company_code": "sample string 6",
    "user_id": "7b16cb6e-5ff4-46ab-be84-5c5f02eca6cb",
    "user_code": "sample string 8",
    "description": "sample string 9",
    "memo": "sample string 10",
    "total_lines": 11,
    "date_create": "2026-07-17T01:57:10.7050083+00:00",
    "date_update": "2026-07-17T01:57:10.7050083+00:00",
    "date_delivery": "2026-07-17T01:57:10.7050083+00:00",
    "confirmed_date_delivery": "2026-07-17T01:57:10.7050083+00:00",
    "delivery_db_address_id": "a1f6efb1-2453-4ac3-8382-091c871e3f93",
    "approved_by_user_id": "b15144bd-2244-49c7-b851-cbb37124a8fa",
    "approved_by_user_code": "sample string 18",
    "technical_user_id": "87e0f89c-925d-45f5-8f2e-b9fd7cc8310f",
    "technical_user_code": "sample string 20",
    "purchase_order_status_id": "b74974a8-96de-4580-ae61-84476ba33169",
    "purchase_order_status_code": "sample string 22",
    "article_stock_location_id": "5552397b-0c69-4c00-a5e2-082a1a94dc6f",
    "is_pickup": true,
    "reference_back_office": "sample string 25",
    "modified_dateutc": "2026-07-17T01:57:10.7050083+00:00"
  },
  "article_id": "c62fc75a-1da7-4313-9125-f7e65c357439",
  "article_code": "sample string 5",
  "article": {
    "id": "d0687aac-0e08-47d1-b951-adc8435ac603",
    "article_category_id": "26964fbe-304e-44e1-b343-465e17452395",
    "article_category": {
      "id": "d528e13a-9d82-4fd7-bc8d-36d2e6cf02e8",
      "parent_id": "032007eb-a3ce-437a-b660-b21cadc0035d",
      "parent_code": "sample string 3",
      "code": "sample string 4",
      "name": "sample string 5",
      "modified_dateutc": "2026-07-17T01:57:10.7050083+00:00"
    },
    "article_category_code": "sample string 3",
    "article_group_1_id": "399ed219-1eb2-4a39-9062-39d8fae79590",
    "article_group_1_code": "sample string 5",
    "article_group_2_id": "7506ac33-219d-4a81-98af-a49a119d5c58",
    "article_group_2_code": "sample string 7",
    "article_group_3_id": "071f6815-de83-4a17-b25b-1097e3279f11",
    "article_group_3_code": "sample string 9",
    "article_group_4_id": "72992662-05c5-4806-ae68-38c7054b6987",
    "article_group_4_code": "sample string 11",
    "article_group_5_id": "a72b6854-8787-44b6-ac01-d395f528c3d3",
    "article_group_5_code": "sample string 13",
    "article_group_6_id": "e3f1dab1-2bf7-4ea7-a4a6-10890a9e3ae4",
    "article_group_6_code": "sample string 15",
    "physical_stock": 16,
    "back_order_client": 17,
    "back_order_supplier": 18,
    "expected_delivery_date_bo_supplier": "2026-07-17T01:57:10.7050083+00:00",
    "article_increment": 20,
    "min_article_quantity": 21,
    "entered_price": 22.0,
    "cost_price": 23.1,
    "no_stock": true,
    "archived": true,
    "is_travel_fee": true,
    "is_mileage_fee": true,
    "code": "sample string 28",
    "name": "sample string 29",
    "description_short": "sample string 30",
    "description_long": "sample string 31",
    "barcode": "sample string 32",
    "notes": "sample string 33",
    "date_create": "2026-07-17T01:57:10.7050083+00:00",
    "date_update": "2026-07-17T01:57:10.7050083+00:00",
    "modified_dateutc": "2026-07-17T01:57:10.7050083+00:00",
    "article_color_id": "282624bd-6a64-4f88-8166-9a6e84a1c72a",
    "article_color_code": "sample string 38",
    "article_color": {
      "id": "8c59adf5-7322-4839-b235-c61dccee14bb",
      "name": "sample string 2",
      "code": "sample string 3",
      "modified_dateutc": "2026-07-17T01:57:10.7050083+00:00"
    },
    "warranty_period_nb_months": 39,
    "use_serial": true,
    "_replace_id": "17ae93d2-6ac0-4f13-8a36-0d154296fa7b",
    "replace_article_code": "sample string 42",
    "db_unit_of_measure_id_selling": "2b453fc4-e165-4f10-a08a-7748073596ac",
    "db_unit_of_measure_code_selling": "sample string 44",
    "translations": [
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      },
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      }
    ]
  },
  "line_number": 6,
  "code": "sample string 7",
  "supplier_code": "sample string 8",
  "name": "sample string 9",
  "description": "sample string 10",
  "price": 11.0,
  "quantity": 12.0,
  "memo": "sample string 13",
  "cost_price": 14.0,
  "reference_back_office": "sample string 15",
  "modified_dateutc": "2026-07-17T01:57:10.7050083+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.